#[doc = "Reader of register IF%s_CMDREQ"]
pub type R = crate::R<u32, super::IF_CMDREQ>;
#[doc = "Writer for register IF%s_CMDREQ"]
pub type W = crate::W<u32, super::IF_CMDREQ>;
#[doc = "Register IF%s_CMDREQ `reset()`'s with value 0x01"]
impl crate::ResetValue for super::IF_CMDREQ {
    type Type = u32;
    #[inline(always)]
    fn reset_value() -> Self::Type {
        0x01
    }
}
#[doc = "Reader of field `MESSNUM`"]
pub type MESSNUM_R = crate::R<u8, u8>;
#[doc = "Write proxy for field `MESSNUM`"]
pub struct MESSNUM_W<'a> {
    w: &'a mut W,
}
impl<'a> MESSNUM_W<'a> {
    #[doc = r"Writes raw bits to the field"]
    #[inline(always)]
    pub unsafe fn bits(self, value: u8) -> &'a mut W {
        self.w.bits = (self.w.bits & !0x3f) | ((value as u32) & 0x3f);
        self.w
    }
}
#[doc = "Reader of field `BUSY`"]
pub type BUSY_R = crate::R<bool, bool>;
#[doc = "Write proxy for field `BUSY`"]
pub struct BUSY_W<'a> {
    w: &'a mut W,
}
impl<'a> BUSY_W<'a> {
    #[doc = r"Sets the field bit"]
    #[inline(always)]
    pub fn set_bit(self) -> &'a mut W {
        self.bit(true)
    }
    #[doc = r"Clears the field bit"]
    #[inline(always)]
    pub fn clear_bit(self) -> &'a mut W {
        self.bit(false)
    }
    #[doc = r"Writes raw bits to the field"]
    #[inline(always)]
    pub fn bit(self, value: bool) -> &'a mut W {
        self.w.bits = (self.w.bits & !(0x01 << 15)) | (((value as u32) & 0x01) << 15);
        self.w
    }
}
impl R {
    #[doc = "Bits 0:5 - Message number 0x01 to 0x20 = Valid message numbers The message object in the message RAM is selected for data transfer. 0x00 = Not a valid message number. This value is interpreted as 0x20.\\[1\\]
0x21 to 0x3F = Not a valid message number. This value is interpreted as 0x01 - 0x1F."]
    #[inline(always)]
    pub fn messnum(&self) -> MESSNUM_R {
        MESSNUM_R::new((self.bits & 0x3f) as u8)
    }
    #[doc = "Bit 15 - BUSY flag. Set to one by hardware when writing to this Command request register. Set to zero by hardware when read/write action to this Command request register has finished."]
    #[inline(always)]
    pub fn busy(&self) -> BUSY_R {
        BUSY_R::new(((self.bits >> 15) & 0x01) != 0)
    }
}
impl W {
    #[doc = "Bits 0:5 - Message number 0x01 to 0x20 = Valid message numbers The message object in the message RAM is selected for data transfer. 0x00 = Not a valid message number. This value is interpreted as 0x20.\\[1\\]
0x21 to 0x3F = Not a valid message number. This value is interpreted as 0x01 - 0x1F."]
    #[inline(always)]
    pub fn messnum(&mut self) -> MESSNUM_W {
        MESSNUM_W { w: self }
    }
    #[doc = "Bit 15 - BUSY flag. Set to one by hardware when writing to this Command request register. Set to zero by hardware when read/write action to this Command request register has finished."]
    #[inline(always)]
    pub fn busy(&mut self) -> BUSY_W {
        BUSY_W { w: self }
    }
}
