#[doc = "Reader of register POS[%s]"]
pub type R = crate::R<u32, super::POS>;
#[doc = "Writer for register POS[%s]"]
pub type W = crate::W<u32, super::POS>;
#[doc = "Register POS[%s]
`reset()`'s with value 0"]
impl crate::ResetValue for super::POS {
    type Type = u32;
    #[inline(always)]
    fn reset_value() -> Self::Type {
        0
    }
}
#[doc = "Reader of field `POS`"]
pub type POS_R = crate::R<u8, u8>;
#[doc = "Write proxy for field `POS`"]
pub struct POS_W<'a> {
    w: &'a mut W,
}
impl<'a> POS_W<'a> {
    #[doc = r"Writes raw bits to the field"]
    #[inline(always)]
    pub unsafe fn bits(self, value: u8) -> &'a mut W {
        self.w.bits = (self.w.bits & !0xff) | ((value as u32) & 0xff);
        self.w
    }
}
#[doc = "Reader of field `POS_RESET`"]
pub type POS_RESET_R = crate::R<u8, u8>;
#[doc = "Write proxy for field `POS_RESET`"]
pub struct POS_RESET_W<'a> {
    w: &'a mut W,
}
impl<'a> POS_RESET_W<'a> {
    #[doc = r"Writes raw bits to the field"]
    #[inline(always)]
    pub unsafe fn bits(self, value: u8) -> &'a mut W {
        self.w.bits = (self.w.bits & !(0xff << 8)) | (((value as u32) & 0xff) << 8);
        self.w
    }
}
impl R {
    #[doc = "Bits 0:7 - Each time COUNT reaches 0x0 POS counts down."]
    #[inline(always)]
    pub fn pos(&self) -> POS_R {
        POS_R::new((self.bits & 0xff) as u8)
    }
    #[doc = "Bits 8:15 - Reload value for POS after POS reaches 0x0."]
    #[inline(always)]
    pub fn pos_reset(&self) -> POS_RESET_R {
        POS_RESET_R::new(((self.bits >> 8) & 0xff) as u8)
    }
}
impl W {
    #[doc = "Bits 0:7 - Each time COUNT reaches 0x0 POS counts down."]
    #[inline(always)]
    pub fn pos(&mut self) -> POS_W {
        POS_W { w: self }
    }
    #[doc = "Bits 8:15 - Reload value for POS after POS reaches 0x0."]
    #[inline(always)]
    pub fn pos_reset(&mut self) -> POS_RESET_W {
        POS_RESET_W { w: self }
    }
}
