#[doc = "Reader of register PRESET[%s]"]
pub type R = crate::R<u32, super::PRESET>;
#[doc = "Writer for register PRESET[%s]"]
pub type W = crate::W<u32, super::PRESET>;
#[doc = "Register PRESET[%s]
`reset()`'s with value 0"]
impl crate::ResetValue for super::PRESET {
    type Type = u32;
    #[inline(always)]
    fn reset_value() -> Self::Type {
        0
    }
}
#[doc = "Reader of field `PRESET`"]
pub type PRESET_R = crate::R<u16, u16>;
#[doc = "Write proxy for field `PRESET`"]
pub struct PRESET_W<'a> {
    w: &'a mut W,
}
impl<'a> PRESET_W<'a> {
    #[doc = r"Writes raw bits to the field"]
    #[inline(always)]
    pub unsafe fn bits(self, value: u16) -> &'a mut W {
        self.w.bits = (self.w.bits & !0x0fff) | ((value as u32) & 0x0fff);
        self.w
    }
}
impl R {
    #[doc = "Bits 0:11 - Counter reload value; loaded when COUNT reaches 0x0."]
    #[inline(always)]
    pub fn preset(&self) -> PRESET_R {
        PRESET_R::new((self.bits & 0x0fff) as u16)
    }
}
impl W {
    #[doc = "Bits 0:11 - Counter reload value; loaded when COUNT reaches 0x0."]
    #[inline(always)]
    pub fn preset(&mut self) -> PRESET_W {
        PRESET_W { w: self }
    }
}
