#[doc = "Reader of register DESCRIPTOR1_[%s]"]
pub type R = crate::R<u32, super::DESCRIPTOR1_>;
#[doc = "Writer for register DESCRIPTOR1_[%s]"]
pub type W = crate::W<u32, super::DESCRIPTOR1_>;
#[doc = "Register DESCRIPTOR1_[%s]
`reset()`'s with value 0x90e0"]
impl crate::ResetValue for super::DESCRIPTOR1_ {
    type Type = u32;
    #[inline(always)]
    fn reset_value() -> Self::Type {
        0x90e0
    }
}
#[doc = "Reader of field `CHANNEL_NR`"]
pub type CHANNEL_NR_R = crate::R<u8, u8>;
#[doc = "Write proxy for field `CHANNEL_NR`"]
pub struct CHANNEL_NR_W<'a> {
    w: &'a mut W,
}
impl<'a> CHANNEL_NR_W<'a> {
    #[doc = r"Writes raw bits to the field"]
    #[inline(always)]
    pub unsafe fn bits(self, value: u8) -> &'a mut W {
        self.w.bits = (self.w.bits & !0x07) | ((value as u32) & 0x07);
        self.w
    }
}
#[doc = "Reader of field `HALT`"]
pub type HALT_R = crate::R<bool, bool>;
#[doc = "Write proxy for field `HALT`"]
pub struct HALT_W<'a> {
    w: &'a mut W,
}
impl<'a> HALT_W<'a> {
    #[doc = r"Sets the field bit"]
    #[inline(always)]
    pub fn set_bit(self) -> &'a mut W {
        self.bit(true)
    }
    #[doc = r"Clears the field bit"]
    #[inline(always)]
    pub fn clear_bit(self) -> &'a mut W {
        self.bit(false)
    }
    #[doc = r"Writes raw bits to the field"]
    #[inline(always)]
    pub fn bit(self, value: bool) -> &'a mut W {
        self.w.bits = (self.w.bits & !(0x01 << 3)) | (((value as u32) & 0x01) << 3);
        self.w
    }
}
#[doc = "Reader of field `INTERRUPT`"]
pub type INTERRUPT_R = crate::R<bool, bool>;
#[doc = "Write proxy for field `INTERRUPT`"]
pub struct INTERRUPT_W<'a> {
    w: &'a mut W,
}
impl<'a> INTERRUPT_W<'a> {
    #[doc = r"Sets the field bit"]
    #[inline(always)]
    pub fn set_bit(self) -> &'a mut W {
        self.bit(true)
    }
    #[doc = r"Clears the field bit"]
    #[inline(always)]
    pub fn clear_bit(self) -> &'a mut W {
        self.bit(false)
    }
    #[doc = r"Writes raw bits to the field"]
    #[inline(always)]
    pub fn bit(self, value: bool) -> &'a mut W {
        self.w.bits = (self.w.bits & !(0x01 << 4)) | (((value as u32) & 0x01) << 4);
        self.w
    }
}
#[doc = "Reader of field `POWER_DOWN`"]
pub type POWER_DOWN_R = crate::R<bool, bool>;
#[doc = "Write proxy for field `POWER_DOWN`"]
pub struct POWER_DOWN_W<'a> {
    w: &'a mut W,
}
impl<'a> POWER_DOWN_W<'a> {
    #[doc = r"Sets the field bit"]
    #[inline(always)]
    pub fn set_bit(self) -> &'a mut W {
        self.bit(true)
    }
    #[doc = r"Clears the field bit"]
    #[inline(always)]
    pub fn clear_bit(self) -> &'a mut W {
        self.bit(false)
    }
    #[doc = r"Writes raw bits to the field"]
    #[inline(always)]
    pub fn bit(self, value: bool) -> &'a mut W {
        self.w.bits = (self.w.bits & !(0x01 << 5)) | (((value as u32) & 0x01) << 5);
        self.w
    }
}
#[doc = "Reader of field `BRANCH`"]
pub type BRANCH_R = crate::R<u8, u8>;
#[doc = "Write proxy for field `BRANCH`"]
pub struct BRANCH_W<'a> {
    w: &'a mut W,
}
impl<'a> BRANCH_W<'a> {
    #[doc = r"Writes raw bits to the field"]
    #[inline(always)]
    pub unsafe fn bits(self, value: u8) -> &'a mut W {
        self.w.bits = (self.w.bits & !(0x03 << 6)) | (((value as u32) & 0x03) << 6);
        self.w
    }
}
#[doc = "Reader of field `MATCH_VALUE`"]
pub type MATCH_VALUE_R = crate::R<u16, u16>;
#[doc = "Write proxy for field `MATCH_VALUE`"]
pub struct MATCH_VALUE_W<'a> {
    w: &'a mut W,
}
impl<'a> MATCH_VALUE_W<'a> {
    #[doc = r"Writes raw bits to the field"]
    #[inline(always)]
    pub unsafe fn bits(self, value: u16) -> &'a mut W {
        self.w.bits = (self.w.bits & !(0x3fff << 8)) | (((value as u32) & 0x3fff) << 8);
        self.w
    }
}
#[doc = "Reader of field `THRESHOLD_SEL`"]
pub type THRESHOLD_SEL_R = crate::R<u8, u8>;
#[doc = "Write proxy for field `THRESHOLD_SEL`"]
pub struct THRESHOLD_SEL_W<'a> {
    w: &'a mut W,
}
impl<'a> THRESHOLD_SEL_W<'a> {
    #[doc = r"Writes raw bits to the field"]
    #[inline(always)]
    pub unsafe fn bits(self, value: u8) -> &'a mut W {
        self.w.bits = (self.w.bits & !(0x03 << 22)) | (((value as u32) & 0x03) << 22);
        self.w
    }
}
#[doc = "Reader of field `RESET_TIMER`"]
pub type RESET_TIMER_R = crate::R<bool, bool>;
#[doc = "Write proxy for field `RESET_TIMER`"]
pub struct RESET_TIMER_W<'a> {
    w: &'a mut W,
}
impl<'a> RESET_TIMER_W<'a> {
    #[doc = r"Sets the field bit"]
    #[inline(always)]
    pub fn set_bit(self) -> &'a mut W {
        self.bit(true)
    }
    #[doc = r"Clears the field bit"]
    #[inline(always)]
    pub fn clear_bit(self) -> &'a mut W {
        self.bit(false)
    }
    #[doc = r"Writes raw bits to the field"]
    #[inline(always)]
    pub fn bit(self, value: bool) -> &'a mut W {
        self.w.bits = (self.w.bits & !(0x01 << 24)) | (((value as u32) & 0x01) << 24);
        self.w
    }
}
#[doc = "Reader of field `UPDATE_TABLE`"]
pub type UPDATE_TABLE_R = crate::R<bool, bool>;
#[doc = "Write proxy for field `UPDATE_TABLE`"]
pub struct UPDATE_TABLE_W<'a> {
    w: &'a mut W,
}
impl<'a> UPDATE_TABLE_W<'a> {
    #[doc = r"Sets the field bit"]
    #[inline(always)]
    pub fn set_bit(self) -> &'a mut W {
        self.bit(true)
    }
    #[doc = r"Clears the field bit"]
    #[inline(always)]
    pub fn clear_bit(self) -> &'a mut W {
        self.bit(false)
    }
    #[doc = r"Writes raw bits to the field"]
    #[inline(always)]
    pub fn bit(self, value: bool) -> &'a mut W {
        self.w.bits = (self.w.bits & !(0x01 << 31)) | (((value as u32) & 0x01) << 31);
        self.w
    }
}
impl R {
    #[doc = "Bits 0:2 - 0: convert input 0 1: convert input 1 2: convert input 2 3: convert input 3 4: convert input 4 5: convert input 5 6,7: reserved"]
    #[inline(always)]
    pub fn channel_nr(&self) -> CHANNEL_NR_R {
        CHANNEL_NR_R::new((self.bits & 0x07) as u8)
    }
    #[doc = "Bit 3 - 0: After this descriptor continue with the next descriptor. 1: halt after this descriptor is processed. Restart at a new trigger."]
    #[inline(always)]
    pub fn halt(&self) -> HALT_R {
        HALT_R::new(((self.bits >> 3) & 0x01) != 0)
    }
    #[doc = "Bit 4 - 1: Raise interrupt when ADC result is available"]
    #[inline(always)]
    pub fn interrupt(&self) -> INTERRUPT_R {
        INTERRUPT_R::new(((self.bits >> 4) & 0x01) != 0)
    }
    #[doc = "Bit 5 - 1: Power down after this conversion."]
    #[inline(always)]
    pub fn power_down(&self) -> POWER_DOWN_R {
        POWER_DOWN_R::new(((self.bits >> 5) & 0x01) != 0)
    }
    #[doc = "Bits 6:7 - 00: Continue with next descriptor (wraps around after top). 01: Branch to the first descriptor in this table. 10: Swap tables and branch to the first descriptor of the new table. 11: reserved (do not store sample). Continue with next descriptor (wraps around after top)."]
    #[inline(always)]
    pub fn branch(&self) -> BRANCH_R {
        BRANCH_R::new(((self.bits >> 6) & 0x03) as u8)
    }
    #[doc = "Bits 8:21 - Evaluate this descriptor when descriptor timer value is equal to match value."]
    #[inline(always)]
    pub fn match_value(&self) -> MATCH_VALUE_R {
        MATCH_VALUE_R::new(((self.bits >> 8) & 0x3fff) as u16)
    }
    #[doc = "Bits 22:23 - Indicates which threshold comparison level register set is to be used: 00: no comparison, 01: THR_A. 10: THR_B. 11: Reserved"]
    #[inline(always)]
    pub fn threshold_sel(&self) -> THRESHOLD_SEL_R {
        THRESHOLD_SEL_R::new(((self.bits >> 22) & 0x03) as u8)
    }
    #[doc = "Bit 24 - 1: reset descriptor timer."]
    #[inline(always)]
    pub fn reset_timer(&self) -> RESET_TIMER_R {
        RESET_TIMER_R::new(((self.bits >> 24) & 0x01) != 0)
    }
    #[doc = "Bit 31 - 1: Update table with all 8 descriptors of this table. Descriptors of this table that are written without this bit set are not updated until any descriptor of this table is written with this bit set. This field is write only. A read returns 0x0."]
    #[inline(always)]
    pub fn update_table(&self) -> UPDATE_TABLE_R {
        UPDATE_TABLE_R::new(((self.bits >> 31) & 0x01) != 0)
    }
}
impl W {
    #[doc = "Bits 0:2 - 0: convert input 0 1: convert input 1 2: convert input 2 3: convert input 3 4: convert input 4 5: convert input 5 6,7: reserved"]
    #[inline(always)]
    pub fn channel_nr(&mut self) -> CHANNEL_NR_W {
        CHANNEL_NR_W { w: self }
    }
    #[doc = "Bit 3 - 0: After this descriptor continue with the next descriptor. 1: halt after this descriptor is processed. Restart at a new trigger."]
    #[inline(always)]
    pub fn halt(&mut self) -> HALT_W {
        HALT_W { w: self }
    }
    #[doc = "Bit 4 - 1: Raise interrupt when ADC result is available"]
    #[inline(always)]
    pub fn interrupt(&mut self) -> INTERRUPT_W {
        INTERRUPT_W { w: self }
    }
    #[doc = "Bit 5 - 1: Power down after this conversion."]
    #[inline(always)]
    pub fn power_down(&mut self) -> POWER_DOWN_W {
        POWER_DOWN_W { w: self }
    }
    #[doc = "Bits 6:7 - 00: Continue with next descriptor (wraps around after top). 01: Branch to the first descriptor in this table. 10: Swap tables and branch to the first descriptor of the new table. 11: reserved (do not store sample). Continue with next descriptor (wraps around after top)."]
    #[inline(always)]
    pub fn branch(&mut self) -> BRANCH_W {
        BRANCH_W { w: self }
    }
    #[doc = "Bits 8:21 - Evaluate this descriptor when descriptor timer value is equal to match value."]
    #[inline(always)]
    pub fn match_value(&mut self) -> MATCH_VALUE_W {
        MATCH_VALUE_W { w: self }
    }
    #[doc = "Bits 22:23 - Indicates which threshold comparison level register set is to be used: 00: no comparison, 01: THR_A. 10: THR_B. 11: Reserved"]
    #[inline(always)]
    pub fn threshold_sel(&mut self) -> THRESHOLD_SEL_W {
        THRESHOLD_SEL_W { w: self }
    }
    #[doc = "Bit 24 - 1: reset descriptor timer."]
    #[inline(always)]
    pub fn reset_timer(&mut self) -> RESET_TIMER_W {
        RESET_TIMER_W { w: self }
    }
    #[doc = "Bit 31 - 1: Update table with all 8 descriptors of this table. Descriptors of this table that are written without this bit set are not updated until any descriptor of this table is written with this bit set. This field is write only. A read returns 0x0."]
    #[inline(always)]
    pub fn update_table(&mut self) -> UPDATE_TABLE_W {
        UPDATE_TABLE_W { w: self }
    }
}
