#[doc = r"Register block"]
#[repr(C)]
pub struct RegisterBlock {
    #[doc = "0x00 - General purpose storage register"]
    pub regfile: [REGFILE; 64],
}
#[doc = "General purpose storage register\n\nThis register you can [`read`](crate::generic::Reg::read), [`reset`](crate::generic::Reg::reset), [`write`](crate::generic::Reg::write), [`write_with_zero`](crate::generic::Reg::write_with_zero), [`modify`](crate::generic::Reg::modify). See [API](https://docs.rs/svd2rust/#read--modify--write-api).\n\nFor information about available fields see [regfile](regfile) module"]
pub type REGFILE = crate::Reg<u32, _REGFILE>;
#[allow(missing_docs)]
#[doc(hidden)]
pub struct _REGFILE;
#[doc = "`read()` method returns [regfile::R](regfile::R) reader structure"]
impl crate::Readable for REGFILE {}
#[doc = "`write(|w| ..)` method takes [regfile::W](regfile::W) writer structure"]
impl crate::Writable for REGFILE {}
#[doc = "General purpose storage register"]
pub mod regfile;
