#[doc = "Reader of register RESP1"]
pub type R = crate::R<u32, super::RESP1>;
#[doc = "Reader of field `RESPONSE1`"]
pub type RESPONSE1_R = crate::R<u32, u32>;
impl R {
    #[doc = "Bits 0:31 - Register represents bit\\[63:32\\]
of long response. When CIU sends auto-stop command, then response is saved in register. Response for previous command sent by host is still preserved in Response 0 register. Additional auto-stop issued only for data transfer commands, and response type is always short for them. For information on when CIU sends auto-stop commands, refer to Auto-Stop ."]
    #[inline(always)]
    pub fn response1(&self) -> RESPONSE1_R {
        RESPONSE1_R::new((self.bits & 0xffff_ffff) as u32)
    }
}
