#[doc = "Reader of register REG[%s]"]
pub type R = crate::R<u32, super::REG>;
#[doc = "Writer for register REG[%s]"]
pub type W = crate::W<u32, super::REG>;
#[doc = "Register REG[%s]
`reset()`'s with value 0"]
impl crate::ResetValue for super::REG {
    type Type = u32;
    #[inline(always)]
    fn reset_value() -> Self::Type {
        0
    }
}
#[doc = "Reader of field `REG`"]
pub type REG_R = crate::R<u32, u32>;
#[doc = "Write proxy for field `REG`"]
pub struct REG_W<'a> {
    w: &'a mut W,
}
impl<'a> REG_W<'a> {
    #[doc = r"Writes raw bits to the field"]
    #[inline(always)]
    pub unsafe fn bits(self, value: u32) -> &'a mut W {
        self.w.bits = (self.w.bits & !0xffff_ffff) | ((value as u32) & 0xffff_ffff);
        self.w
    }
}
impl R {
    #[doc = "Bits 0:31 - At each active shift clock the register shifts right; loading REG(31) with data captured from DIN(n) and DOUT(n) is set to REG(0)."]
    #[inline(always)]
    pub fn reg(&self) -> REG_R {
        REG_R::new((self.bits & 0xffff_ffff) as u32)
    }
}
impl W {
    #[doc = "Bits 0:31 - At each active shift clock the register shifts right; loading REG(31) with data captured from DIN(n) and DOUT(n) is set to REG(0)."]
    #[inline(always)]
    pub fn reg(&mut self) -> REG_W {
        REG_W { w: self }
    }
}
