#[doc = "Reader of register REG_SS[%s]"]
pub type R = crate::R<u32, super::REG_SS>;
#[doc = "Writer for register REG_SS[%s]"]
pub type W = crate::W<u32, super::REG_SS>;
#[doc = "Register REG_SS[%s]
`reset()`'s with value 0"]
impl crate::ResetValue for super::REG_SS {
    type Type = u32;
    #[inline(always)]
    fn reset_value() -> Self::Type {
        0
    }
}
#[doc = "Reader of field `REG_SS`"]
pub type REG_SS_R = crate::R<u32, u32>;
#[doc = "Write proxy for field `REG_SS`"]
pub struct REG_SS_W<'a> {
    w: &'a mut W,
}
impl<'a> REG_SS_W<'a> {
    #[doc = r"Writes raw bits to the field"]
    #[inline(always)]
    pub unsafe fn bits(self, value: u32) -> &'a mut W {
        self.w.bits = (self.w.bits & !0xffff_ffff) | ((value as u32) & 0xffff_ffff);
        self.w
    }
}
impl R {
    #[doc = "Bits 0:31 - Each time POS reaches 0x0 the contents of REG_SS is exchanged with the content of REG."]
    #[inline(always)]
    pub fn reg_ss(&self) -> REG_SS_R {
        REG_SS_R::new((self.bits & 0xffff_ffff) as u32)
    }
}
impl W {
    #[doc = "Bits 0:31 - Each time POS reaches 0x0 the contents of REG_SS is exchanged with the content of REG."]
    #[inline(always)]
    pub fn reg_ss(&mut self) -> REG_SS_W {
        REG_SS_W { w: self }
    }
}
